// Rhea

use {logos::Logos, syntax::token::Token};

mod syntax;
mod utils;

use {
    bumpalo::Bump,
    std::io::{stdin, Read},
    utils::default,
};

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let mut buf = default();
    stdin().read_to_string(&mut buf)?;

    let arena = Bump::new();
    syntax::parser::parse_lexer(Token::lexer(&buf), &arena);
    
    Ok(())
}
